Package org.xnio.http

# Class ConnectionClosedEarlyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.xnio.http.UpgradeFailedException
org.xnio.http.ConnectionClosedEarlyException

All Implemented Interfaces:
  `Serializable`

public class ConnectionClosedEarlyException extends UpgradeFailedException
Exception thrown if the connection is unexpectedly closed during http upgrade before the response can be fully read.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConnectionClosedEarlyException()`
Constructs a new `ConnectionClosedEarlyException` instance.
`ConnectionClosedEarlyException(String msg)`
Constructs a new `ConnectionClosedEarlyException` instance with an initial message.
`ConnectionClosedEarlyException(String msg, Throwable cause)`
Constructs a new `ConnectionClosedEarlyException` instance with an initial message and cause.
`ConnectionClosedEarlyException(Throwable cause)`
Constructs a new `ConnectionClosedEarlyException` instance with an initial cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectionClosedEarlyException

public ConnectionClosedEarlyException()
Constructs a new `ConnectionClosedEarlyException` instance. The message is left blank (`null`), and no cause is specified.

### ConnectionClosedEarlyException

public ConnectionClosedEarlyException(String msg)
Constructs a new `ConnectionClosedEarlyException` instance with an initial message. No cause is specified.

Parameters:
  `msg` - the message

### ConnectionClosedEarlyException

public ConnectionClosedEarlyException(Throwable cause)
Constructs a new `ConnectionClosedEarlyException` instance with an initial cause. If a non-`null` cause is specified, its message is used to initialize the message of this `UpgradeFailedException`; otherwise the message is left blank (`null`).

Parameters:
  `cause` - the cause

### ConnectionClosedEarlyException

public ConnectionClosedEarlyException(String msg, Throwable cause)
Constructs a new `ConnectionClosedEarlyException` instance with an initial message and cause.

Parameters:
  `msg` - the message
  `cause` - the cause